#
# spec file for package python-pybluez
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-pybluez
BuildRequires:  bluez-devel python-devel
Summary:        A Python Bluetooth wrapper
Version:        0.18
Release:        24.2
Source:         PyBluez-%{version}.tar.gz
Patch1:         python-pybluez-linux3-fix.patch
License:        GPL-2.0+
Group:          Development/Libraries/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://code.google.com/p/pybluez/
Obsoletes:      pybluez
Provides:       pybluez
%py_requires

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.



Authors:
--------
    Albert Huang <albert@csail.mit.edu>
    Calvin On <calvinon@csail.mit.edu>

%prep
%setup -n PyBluez-%{version} -q
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGELOG COPYING README  

%changelog
* Wed Aug 24 2011 gankov@opensuse.org
- fix detection on linux3
* Tue Apr 20 2010 cstender@suse.de
- updated to version 0.18
  * bugfix for linux 2.6.30+ zero out struct sockaddr
  * DeviceDiscoverer may specify bluetooth device_id (roelhuybrechts)
  * DeviceDiscoverer do not override duration parameter (roelhuybrechts)
* Tue Aug  4 2009 cstender@novell.com
- updated to version 0.16
  * fix variable naming in example/simple/inquiry.py (M. Harris Bhatti)
  * fix examples to import bluetooth._bluetooth
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Tue Sep  9 2008 cstender@suse.de
- renamed package to python-pybluez
- updated to version 0.15
  o fix segfault on trying to SDP advertise when sdpd not running
    (reported by Eric Butler)
  o fixed _checkaddr bug (reported by Giovanni)
  o fix device class parsing bug in inquiry-with-rssi (Pepe Aracil)
  o don't hardcode duration in discover_devices() to 8 (Gustavo Chain)
* Tue Jun  3 2008 crrodriguez@suse.de
- needs to be built with -fno-strict-aliasing
* Sun Jan 14 2007 dgollub@suse.de
- initial version of PyBluez 0.9.2
